;******************************************************************
;ident fcp2fig.el Time-stamp: <97/05/20 11:50:35 bav> 
;******************************************************************
;                           Gerd Bavendiek  bav@rw.sni.de  97-05-20
;
; Simple Lisp-Code to save the current buffer and to call the script
; fcp2fig, thus generating a fax cover page.
;
; You may put something like
; (define-key global-map '(control f12)  'save-buffer-rcp)
; (load-file "~/fcp2fig.el")
; in your .emacs.
;-------------------------------------------------------------------
;
(defun save-buffer-fcp2fig()
  "Saves current buffer and starts fcp2fig"
  (interactive)
  (save-buffer)
  (message "%s saved" buffer-file-name )
  (shell-command (concat "~/tools/fcp2fig " buffer-file-name ))
  (message "fcp2fig done ...")
)
